> For the complete documentation index, see [llms.txt](https://developers.whaly.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.whaly.io/api-reference/warehouses.md).

# Warehouses

## GET /v1/warehouses

>

```json
{"openapi":"3.0.0","info":{"title":"Whaly API","version":"1.0"},"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http","description":"Pass a Service Account Key as the Bearer token to authenticate. e.g. 'sk:xxxxxxx'"}},"schemas":{"PaginatedListWrapper":{"type":"object","properties":{"paging":{"$ref":"#/components/schemas/PagingInfo"}},"required":["paging"]},"PagingInfo":{"type":"object","properties":{"next":{"$ref":"#/components/schemas/PagingNext"}},"required":["next"]},"PagingNext":{"type":"object","properties":{"after":{"type":"string"}},"required":["after"]},"WarehouseDto":{"type":"object","properties":{"id":{"type":"string","description":"Unique ID"},"name":{"type":"string","description":"Name of Warehouse"},"is_managed":{"type":"boolean","description":"If true, it means that this Warehouse is provided by Whaly, so access is limited."},"is_bi_enabled":{"type":"boolean","description":"If true, it means that BI is enabled on this Warehouse."},"is_data_loading_enabled":{"type":"boolean","description":"If true, it means that Connectors are enabled on this Warehouse."},"is_persistence_engine_enabled":{"type":"boolean","description":"If true, it means that Persistence Engine is enabled on this Warehouse."},"warehouse_type":{"type":"string","description":"Type of the Warehouse","enum":["BIGQUERY","SNOWFLAKE","POSTGRES","REDSHIFT","UNKNOWN"]}},"required":["id","name","is_managed","is_bi_enabled","is_data_loading_enabled","is_persistence_engine_enabled","warehouse_type"]}}},"paths":{"/v1/warehouses":{"get":{"operationId":"WarehousesController_listAll","parameters":[{"name":"after","required":false,"in":"query","schema":{"type":"string"}},{"name":"limit","required":false,"in":"query","schema":{"type":"number"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/PaginatedListWrapper"},{"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/WarehouseDto"}}}}]}}}}}}}}}
```

## GET /v1/warehouses/{warehouseId}

>

```json
{"openapi":"3.0.0","info":{"title":"Whaly API","version":"1.0"},"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http","description":"Pass a Service Account Key as the Bearer token to authenticate. e.g. 'sk:xxxxxxx'"}},"schemas":{"WarehouseDto":{"type":"object","properties":{"id":{"type":"string","description":"Unique ID"},"name":{"type":"string","description":"Name of Warehouse"},"is_managed":{"type":"boolean","description":"If true, it means that this Warehouse is provided by Whaly, so access is limited."},"is_bi_enabled":{"type":"boolean","description":"If true, it means that BI is enabled on this Warehouse."},"is_data_loading_enabled":{"type":"boolean","description":"If true, it means that Connectors are enabled on this Warehouse."},"is_persistence_engine_enabled":{"type":"boolean","description":"If true, it means that Persistence Engine is enabled on this Warehouse."},"warehouse_type":{"type":"string","description":"Type of the Warehouse","enum":["BIGQUERY","SNOWFLAKE","POSTGRES","REDSHIFT","UNKNOWN"]}},"required":["id","name","is_managed","is_bi_enabled","is_data_loading_enabled","is_persistence_engine_enabled","warehouse_type"]}}},"paths":{"/v1/warehouses/{warehouseId}":{"get":{"operationId":"WarehousesController_findOne","parameters":[{"name":"warehouseId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WarehouseDto"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.whaly.io/api-reference/warehouses.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
